Bug 427674 - Review Request: themonospot - An Avi parser and content descriptor
Review Request: themonospot - An Avi parser and content descriptor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 11:15 EST by Armando Basile
Modified: 2008-09-10 02:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 04:50:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Armando Basile 2008-01-06 11:15:34 EST
Spec URL: http://themonospot.googlecode.com/files/themonospot-0.6.5.SPEC
SRPM URL: http://themonospot.googlecode.com/files/themonospot-RPMS-0.6.5-1.i386.rpm
Description: is a simple application that can be used to scan an avi file and extract some informations about audio and video data flow:

    * Video codec used
    * Frame size
    * Average video bitrate
    * File size
    * Total time
    * Frame rate
    * Total frames
    * Info data
    * Packet Bitstream
    * User data (in MOVI chunk)
    * Audio codec used
    * Average audio bitrate
    * Audio channels

With themonospot is also possible modify FourCC informations (FourCC code in video chunk and FourCC description in stream header) and also change some problematic UserData values for table players (it set the value to DivX999b000p)

Themonospot is multilanguage (from release 0.6.5) using language files in languages folder
Comment 1 manuel wolfshant 2008-01-06 16:22:11 EST
Needs lots of work.
Most obvious errors:

- GPL is no longer a valid license tag. See
http://fedoraproject.org/wiki/Licensing/ for details
- Applications/AudioVideo is not one of the standard groups
- your %descriptions lacks a subject for the phrase that is included in the
first paragraph. I also suggest to use "Using themonospot it is also possible to
modify FourCC informations <rest of phrase here>" for the second paragraph.
- the %distribution and %vendor tags should not be included in your spec (see
http://fedoraproject.org/wiki/Packaging/Guidelines)
- Please use rpm macros instead of absolute paths (i.e. replace "./configure
--prefix=/usr" with  "%configure --prefix=%{_prefix}" or even better just with
%configure )
- the desktop file should be installed according to
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755,
 not using ln;pixmaps should probably be included in %files
- the .pc file should probably not be included
- the version reported by the most recent entry in the changelog is not
identical to the one of the package (0.6.5 versus 0.6.5-1)

And last but not least, you should provide access to the src.rpm.
Comment 2 manuel wolfshant 2008-01-06 16:31:46 EST
Uhm, you should also take a look at https://fedoraproject.org/wiki/Packaging/Mono
Comment 3 Armando Basile 2008-01-07 07:01:23 EST
ok, i working on all this points, i will add a comment on this thread after
uploaded new files
Comment 4 Armando Basile 2008-01-07 10:00:11 EST
I writing new SPEC file with follow modify, if is ok for you i wait a comment to
this thread to upload new files, thanks.

CHANGED:
> GPL is no longer a valid license tag.
Changed to GPLv2

> Applications/AudioVideo is not one of the standard groups
Changed to Audiovideo;AudioVideoEditing

> your %descriptions lacks a subject for the phrase that is included in the
> first paragraph. I also suggest to use "Using themonospot it is also possible
> to modify FourCC informations <rest of phrase here>" for the second paragraph.
Inserted subject in the first paragraph and "Using Themonospot it is..." in second

> the %distribution and %vendor tags should not be included in your spec 
deleted %distribution and %vendor

> Please use rpm macros instead of absolute paths (i.e. replace "./configure
> --prefix=/usr" with  "%configure --prefix=%{_prefix}" or even better just with
> %configure )
changed with %configure

> the desktop file should be installed according to
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-254ddf07aae20a23ced8cecc219d8f73926e9755,
> not using ln;pixmaps should probably be included in %files
changed in [%post] section from ln to mv -f so the files will be moved in right
path.

> the .pc file should probably not be included
deleted .pc file from %files list

> the version reported by the most recent entry in the changelog is not
> identical to the one of the package (0.6.5 versus 0.6.5-1)
modified changelog version to 0.6.5-2 (as release number) and adjust date
(delete time in according to Packaging Guidelines)

> And last but not least, you should provide access to the src.rpm.
I will generate with ... rpmbuild -ba --sign themonospot-0.6.5.SPEC
so i will upload also src.rpm file
Comment 5 manuel wolfshant 2008-01-07 10:23:33 EST
Please verify your work using rpmlint before uploading the new version. And by
the way there is nothing wrong in signing the src.rpm, but this is not required
for packages that are submitted for review.
As a recommendation, please try to use the exact capitalization of the name of
the application, mixing "Themonospot" and "themonospot" (as you seem to plan to
do in the %description tag ) is not really a good idea. The most preferred
variant is all lowercase, unless there is a valid reason to use something else
(for instance if upstream uses something different).
Comment 6 Armando Basile 2008-01-07 10:36:28 EST
> try to use the exact capitalization of the name of
> the application, mixing "Themonospot" and "themonospot"
set themonospot lower case also in %description

i'm going to use rpmlint...
Comment 7 Armando Basile 2008-01-07 17:22:19 EST
when i try to rpmbuild with SPEC file without .pc file from %files list, i had
an error at the end of script. So i tryed to lunch rpmlint on an rpm generated
within .pc file and this is result:

themonospot.i386: W: no-documentation
themonospot.i386: W: devel-file-in-non-devel-package
/usr/lib/pkgconfig/themonospot-base.pc
themonospot.i386: E: no-binary
themonospot.i386: E: only-non-binary-in-usr-lib
themonospot.i386: E: unknown-key GPG#c8fa4777
themonospot.i386: W: dangerous-command-in-%post mv
themonospot.i386: W: dangerous-command-in-%postun rm

i could think not so bad :)
Comment 8 Armando Basile 2008-01-07 18:09:40 EST
modifing my makefile.in i obtain from rpmlint:

themonospot.i386: W: no-documentation
themonospot.i386: E: no-binary
themonospot.i386: E: only-non-binary-in-usr-lib
themonospot.i386: E: unknown-key GPG#c8fa4777
themonospot.i386: W: empty-%post
themonospot.i386: W: empty-%postun

now i think it's ok ?
Comment 10 manuel wolfshant 2008-01-08 05:41:21 EST
- recommended fix: unless there is a very good reason, the spec file name should
be identical to the name of the package (without the version) (see
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-625ebbc8678382beca8d0b02504d30e7b6f23791)
and the suffix must be lowercase (mock does not identify the file to be used as
spec as you can see here:
ERROR: Exception(/tmp/themonospot-0.6.5-2.src.rpm)
Config(fedora-development-x86_64) 0 minutes 36 seconds
INFO: Results and/or logs in: /var/lib/mock//fedora-development-x86_64/result
ERROR: No Spec file found in srpm: themonospot-0.6.5-2.src.rpm
- MUSTFIX: sha1sum of the included tarball does not coincide with upstream
- MUSTFIX: there is a typo in %install, the buildroot is cleaned with _rm_ -fR
not with _rpm_
- (minor) please change "Using themonospot it is also possible modify " to
"Using themonospot it is also possible to modify"
- 
Comment 11 manuel wolfshant 2008-01-08 05:50:03 EST
log for the failed build:
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for pkg-config... no
configure: error: You need to install pkg-config
error: Bad exit status from /var/tmp/rpm-tmp.5623 (%build)

Comment 12 Armando Basile 2008-01-08 06:12:37 EST
on my fedora i installed src.rmp + spec file correctly, but i have already
pkg-config, i have mono 1.2.6 and monodevelop 0.18 installed.
Comment 13 manuel wolfshant 2008-01-08 06:24:13 EST
Even more missing BR:
- mono-core
- gtk-sharp2-devel

With these packages added, compilation is successful but the %files section does
not match what is build:
Processing files: themonospot-0.6.5-3
error: File not found:
/var/tmp/themonospot-0.6.5-buildroot/usr/lib64/themonospot/languages/English.lf
error: File not found:
/var/tmp/themonospot-0.6.5-buildroot/usr/lib64/themonospot/languages/Italiano.lf
Processing files: themonospot-debuginfo-0.6.5-3
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/themonospot-0.6.5-buildroot
error: Installed (but unpackaged) file(s) found:
   /usr/lib/themonospot/languages/English.lf
   /usr/lib/themonospot/languages/Italiano.lf
   /usr/lib/themonospot/themonospot-base.dll

Note that your package MUST be able to be built in mock. See also
http://fedoraproject.org/wiki/Packaging/Guidelines#head-351b11771f3898e032fcd70896ff21b8b82505c7
Comment 14 Armando Basile 2008-01-08 09:39:04 EST
in my makefile.in i have
mkdir "$(DESTDIR)$(programfilesdir)/languages"
mv -f "$(DESTDIR)$(programfilesdir)/English.lf"
"$(DESTDIR)$(programfilesdir)/languages"
mv -f "$(DESTDIR)$(programfilesdir)/Italiano.lf"
"$(DESTDIR)$(programfilesdir)/languages"

so $(programfilesdir) should be different on different platforms...

> MUSTFIX: there is a typo in %install, the buildroot is cleaned with _rm_ -fR
> not with _rpm_
FIXED, i changed

> sha1sum of the included tarball does not coincide with upstream
I will upload a specific version for fedora distro, so there aren't update problems

Comment 15 Armando Basile 2008-01-08 09:39:48 EST
i trying mock with  mock rebuild -r fedora-8-i386 themonospot-0.6.5.src.rpm
Comment 16 manuel wolfshant 2008-01-08 09:45:25 EST
> so $(programfilesdir) should be different on different platforms...
I can post my buildlog if it is useful to you. And please test building using
fedora-development as target



>> sha1sum of the included tarball does not coincide with upstream
>I will upload a specific version for fedora distro, so there aren't update problems
There is no need to do that. You can apply selective patches for fedora from
within the spec.
Comment 17 Armando Basile 2008-01-08 11:35:35 EST
i upload rel 4 of files here
http://www.integrazioneweb.com/themonospot/packages/4-fedora/themonospot-0.6.5.i386.rpm
http://www.integrazioneweb.com/themonospot/packages/4-fedora/themonospot-0.6.5.spec
http://www.integrazioneweb.com/themonospot/packages/4-fedora/themonospot-0.6.5.src.rpm

with this rpmlint...

themonospot.i386: W: no-documentation
themonospot.i386: E: no-binary
themonospot.i386: E: only-non-binary-in-usr-lib
themonospot.i386: E: unknown-key GPG#c8fa4777
themonospot.i386: W: empty-%post
themonospot.i386: W: empty-%postun

and now i lunch 
# mock rebuild -r fedora-devel-i386 themonospot-0.6.5.src.rpm

Comment 18 Armando Basile 2008-01-08 11:41:52 EST
ERROR: No Spec file found in srpm....
why ?
i verified and there is spec file
Comment 19 Armando Basile 2008-01-08 13:06:45 EST
yeah.... success
i renamed file .SPEC as .spec and...

# mock rebuild -r fedora-devel-i386 themonospot-0.6.5-4.src.rpm
INFO: mock.py version 0.9.5 starting...
State Changed: init plugins
State Changed: start
INFO: Start(themonospot-0.6.5-4.src.rpm)  Config(fedora-development-i386)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
INFO: enabled root cache
State Changed: unpacking cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
State Changed: running yum
State Changed: setup
State Changed: build
INFO: Done(themonospot-0.6.5-4.src.rpm) Config(fedora-devel-i386) 5 minutes 23
seconds
INFO: Results and/or logs in: /var/lib/mock//fedora-development-i386/result
Comment 21 Armando Basile 2008-01-09 21:51:12 EST
manuel i wait your sign...
Comment 22 manuel wolfshant 2008-01-10 08:55:04 EST
Couple of issues:
1. minor, but unpleasant for reviewers:
[wolfy@wolfy tmp]$ wget
http://www.integrazioneweb.com/themonospot/packages/4-fedora/themonospot-0.6.5.spec
--15:24:14-- 
http://www.integrazioneweb.com/themonospot/packages/4-fedora/themonospot-0.6.5.spec
           => `themonospot-0.6.5.spec'
Resolving www.integrazioneweb.com... 151.13.66.154, 83.103.22.154
Connecting to www.integrazioneweb.com|151.13.66.154|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
15:24:25 ERROR 404: Not Found.


2. mock build problems: build fails with
Processing files: themonospot-0.6.5-4
error: File not found:
/var/tmp/themonospot-0.6.5-buildroot/usr/lib64/themonospot/languages/English.lf
error: File not found:
/var/tmp/themonospot-0.6.5-buildroot/usr/lib64/themonospot/languages/Italiano.lf
Processing files: themonospot-debuginfo-0.6.5-4
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/themonospot-0.6.5-buildroot
error: Installed (but unpackaged) file(s) found:
   /usr/lib/themonospot/languages/English.lf
   /usr/lib/themonospot/languages/Italiano.lf
   /usr/lib/themonospot/themonospot-base.dll


RPM build errors:
    File not found:
/var/tmp/themonospot-0.6.5-buildroot/usr/lib64/themonospot/languages/English.lf
    File not found:
/var/tmp/themonospot-0.6.5-buildroot/usr/lib64/themonospot/languages/Italiano.lf
    Installed (but unpackaged) file(s) found:
   /usr/lib/themonospot/languages/English.lf
   /usr/lib/themonospot/languages/Italiano.lf
   /usr/lib/themonospot/themonospot-base.dll

3. src.rpm issues:
Needs work:
* Source themonospot-0.6.5.tar.gz is different from upstream (and this usually
is a show stoppper)
* BuildRoot should be one of those listed in the wiki at
Packaging/Guidelines#BuildRoot. The difference is minor compared to an accepted
one, so please change it.
* Specfile should be in the format %{name}.spec (see Packaging/ReviewGuidelines)


Incidentally, are you already sponsored? I could not find you in FAS.
Comment 23 Armando Basile 2008-01-10 09:06:04 EST
- i must adjust files on repository
- i must upload tarball in same web dir and change in spec file the link
- i must change BuildRoot

it's right ?

What is FAS ?
Comment 24 manuel wolfshant 2008-01-10 09:17:01 EST
You have to include in the src.rpm the exact same tarball as available upstream.
The BuildRoot should be one of the three values recommended in the wiki page.
The .spec included in src.rpm (note that it could be different from the one
included in the tar! ) must be named themonosport.spec

FAS == Fedora Account System ( https://admin.fedoraproject.org/accounts/ )
Comment 25 Armando Basile 2008-01-10 10:09:22 EST
FAS == Fedora Account System
Registred as hman
Comment 28 manuel wolfshant 2008-01-11 08:24:22 EST
   For a start, you still do have a wrong name for the .spec:
[wolfy@wolfy tmp]$ rpmlint themonospot-0.6.5*rpm
themonospot.src: E: invalid-spec-name themonospot-0.6.5.spec
   In addition, permissions of the files that you have included in the spec are
not those expected by rpmlint:
error checking signature of themonospot-0.6.5-5.src.rpm
themonospot.src: W: strange-permission themonospot-0.6.5.spec 0666
themonospot.src: W: strange-permission themonospot-0.6.5.tar.gz 0666
   
  And nothing was fixed with respect to building in mock, it fails with the same
error as before (comments 13 and 22).

  Please test your src.rpm in x86_64 environment, this is the context where it
fails.
Comment 29 Armando Basile 2008-01-11 10:42:29 EST
- spec name corrected (same of other output)

- permission problem solved, at my workhouse i use VirtualBox with shared
folders and somethimes i need to give all privilege to move files

- solved online repository application problem (sources difference problem)

- mock with x86 work fine

- rpmlint say:
  themonospot.i386: W: no-documentation
  themonospot.i386: E: no-binary
  themonospot.i386: E: only-non-binary-in-usr-lib
  themonospot.i386: E: unknown-key GPG#c8fa4777
  themonospot.i386: W: empty-%post
  themonospot.i386: W: empty-%postun

NEW FILES...
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5-6.spec
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5-6.src.rpm
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5-6.i386.rpm
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.tar.gz


With x86_64 test i had:
Error: Missing Dependency: mktemp is needed by package redhat-rpm-config
Error: Missing Dependency: /usr/bin/perl is needed by package redhat-rpm-config
Error: Missing Dependency: /bin/bash is needed by package redhat-rpm-config
Error: Missing Dependency: perl(Getopt::Long) is needed by package redhat-rpm-config
Error: Missing Dependency: /bin/sh is needed by package redhat-rpm-config
Error: Missing Dependency: /bin/sh is needed by package fedora-release-notes
Comment 30 manuel wolfshant 2008-01-11 11:57:45 EST
  I do not want to sound harsh and I will try to assist you if you want to
follow my advice, but I think it's time to start learning a bit more.
Programming is one avenue, packaging is another one and they do not necessarily
overlap completely.
  As long as the src.rpm does not properly build on all architectures (or at
least a valid reason to not build is provided) we are not going anywhere. The
output of rpmlint for the .i386 binary is relevant, but not sufficient. The
final aim is to have no output, i.e. no warning/no error (the unknown-key is a
false alarm, can be ignored) AND to have the application built on all
architectures supported by Fedora, including ppc and 64 bits.
  Try to fix your x86_64 environment, come to #fedora/#fedora-devel or use the
appropriate mailing lists if you need assistance, but you should first prove
that you know the packaging guidelines before getting accepted as contributor.
So far you have proven that there is lot of room for improvement. For instance
you have to convince your build -- either by modifying the source _in_ the
tarball _or_ by patching in %prep -- that the language files should go in the
same folder with the binary (if they are architecture dependent). Or maybe
somewhere else in the opposite case. Either case, for the moment there is an
error which must be solved.

Comment 31 Armando Basile 2008-01-12 18:42:55 EST
Missing dependency of Mock for my x86_64 environment are caused from this other
error of Mock
...Metadata file does not match checksum. Trying other mirror...

I added also a dev repository in fedora-development-x86_64 mock config file, but
same problem
Comment 32 manuel wolfshant 2008-01-12 19:18:09 EST
maybe there is a problem with the mirror which is configured in your
/etc/mock/fedora-devel-x86_64.cfg
try to replace mirrorlist with a direct URL to a known godd mirror, similar to
my config below (search for a mirror close to you! ):

[fedora]
name=fedora
#mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=x86_64
baseurl=ftp://ftp.gts.lug.ro/fedora/linux/development/x86_64/os
Comment 33 manuel wolfshant 2008-01-12 19:24:41 EST
known *good* mirror (of course)
Comment 34 Armando Basile 2008-01-13 03:53:23 EST
i have always this response :(

Error: Missing Dependency: mktemp is needed by package redhat-rpm-config
Error: Missing Dependency: /usr/bin/perl is needed by package redhat-rpm-config
Error: Missing Dependency: /bin/bash is needed by package redhat-rpm-config
Error: Missing Dependency: perl(Getopt::Long) is needed by package redhat-rpm-config
Error: Missing Dependency: /bin/sh is needed by package redhat-rpm-config
Error: Missing Dependency: /bin/sh is needed by package fedora-release-notes
Comment 35 manuel wolfshant 2008-01-13 10:52:29 EST
Let's take it off bugzilla, we are fading away of the review (which I cannot do
formally anyway because you need a sponsor).

However I am willing to help you , so please get in touch in me either on
IRC/freenode.net (I am wolfy over there) or send me by email your yum and mock
configurations (the descriptions of Base and Updates from /etc/yum.repos.d/ and
also /etc/mock/fedora-devel-x86_64.cfg) and I'll take a look.

And speaking of sponsorship, did you read
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored ?
Comment 39 Mamoru TASAKA 2008-01-24 11:14:05 EST
Where can I verify the license of this software?
Comment 40 Armando Basile 2008-01-24 12:36:18 EST
this is a GPLv2 you can see it in spec file
Comment 41 Mamoru TASAKA 2008-01-24 12:42:51 EST
No, we are not judging license from your spec file. We are judging license
from the tarball itself.
Comment 42 Mamoru TASAKA 2008-02-05 12:33:58 EST
ping?
Comment 43 Armando Basile 2008-02-05 14:17:17 EST
sorry, i working on a project for my factory :(
Comment 44 Mamoru TASAKA 2008-02-14 12:14:51 EST
Well, what should we do?
Comment 45 manuel wolfshant 2008-02-14 12:47:05 EST
mamoru: I'd say we wait until the reporter has some more free time. There
are/were packages waiting much longer than one month.

As a side note, between 13.01 and 18.01 I have exchanged numerous mails with him
(about this package) and he used to react quickly, but he was lacking some grasp
on the fedora packaging rules.
Comment 46 Armando Basile 2008-02-14 16:22:45 EST
first days of next week i should finish a documentation of my job for factory
where i work, so after i can return on fedora package of themonospot.

I can succeed to do it, don't doubt :-)

Comment 47 Armando Basile 2008-03-13 06:44:41 EDT
themonospot 0.6.5-8

FILES:
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot.spec
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.tar.gz
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5-8.src.rpm
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5-8.i386.rpm

CHANGES:
- created tarball package with monodevelop 0.19.2 (solved lib/lib64 problem) so
now the libdir is right on x86 and also on x86_64

- added COPYING.GPL file in tarball with GPL v2 license
Comment 48 Armando Basile 2008-03-13 09:41:00 EDT
using MOCK with fedora-devel-i386... PASS
Comment 49 Mamoru TASAKA 2008-03-15 13:24:05 EDT
For 0.6.5-8:

* Source
  - Source tag must point to the URL from which we can actually
    receive the source used in the srpm by "wget -N", for example.

    When I try to download the source from the URL written as Source
    by wget -N, 
-------------------------------------------------------------------
$ LANG=C wget -N
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.tar.gz
--01:11:59-- 
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.tar.gz
           => `themonospot-0.6.5.tar.gz'
Resolving www.integrazioneweb.com... 151.13.66.154, 83.103.22.154
Connecting to www.integrazioneweb.com|151.13.66.154|:80... connected.
HTTP request sent, awaiting response... 301 Moved Permanently
Location:
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot%2D0.6.5.tar.gz/
[following]
--01:12:01-- 
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot%2D0.6.5.tar.gz/
           => `index.html'
Reusing existing connection to www.integrazioneweb.com:80.
HTTP request sent, awaiting response... 200 OK
Length: 139,900 (137K) [application/octet-stream]

100%[===================================================================>]
139,900       76.78K/s             

Last-modified header missing -- time-stamps turned off.
01:12:03 (76.63 KB/s) - `index.html' saved [139900/139900]
-------------------------------------------------------------------
     Why is the file downloaded named as index.html?

  - Also,
-------------------------------------------------------------------
131143 2008-01-18 18:06 themonospot-0.6.5-7/themonospot-0.6.5.tar.gz
139900 2008-03-13 18:00 themonospot-0.6.5-8/themonospot-0.6.5.tar.gz
-------------------------------------------------------------------
    the source changed.
    - You should not change the source tarball without changing version
      once it is published formally because this causes confusion for
      people using the tarball.
    - Or is 0.6.5 not formally published?

Apart from Source problem:
* Disttag
  - Please consider to use %?dist tag.
    http://fedoraproject.org/wiki/Packaging/DistTag

* License tag
  - The license tag should be "GPLv2+" (GPL version 2 and any later)
    judging from the contents of the files in the tarball.

* ExcludeArch:
  - mono-core is currently not available on ppc64.

* %configure
----------------------------------------------------------------------
%configure --prefix=%{_usr}
----------------------------------------------------------------------
  - --prefix=%_usr is not needed. Please check what %configure actually
    does by $ rpm --eval %configure.

* optflags
----------------------------------------------------------------------
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
----------------------------------------------------------------------
  - From build.log I don't think compiling this actually needs
    $RPM_OPT_FLAGS (this is usually used by gcc or g++)

* --delete-original
-----------------------------------------------------------------------
desktop-file-install --vendor="fedora"               \
  --dir=%{buildroot}%{_datadir}/applications    \
  --delete-original    \
  %{name}-gui/resources/%{name}.desktop
-----------------------------------------------------------------------
   - You don't have to delete the desktop file in the source tarball
     (and usually you should not as this breaks rpmbuild -bi --short-circuit)

* empty %post, %postun
  - From $ rpmlint themonospot
-----------------------------------------------------------------------
themonospot.i386: W: empty-%post
themonospot.i386: W: empty-%postun
-----------------------------------------------------------------------
    Please remove these.

* Directory ownership issue
  - Please make it sure that the directories created when installing
    this package are correctly owned by this package.
    For example:
-----------------------------------------------------------------------
[tasaka1@localhost ~]$ LANG=C rpm -qf /usr/lib/themonospot/themonospot.exe 
themonospot-0.6.5-8.i386
[tasaka1@localhost ~]$ LANG=C rpm -qf /usr/lib/themonospot/
file /usr/lib/themonospot is not owned by any package
-----------------------------------------------------------------------
Comment 50 Armando Basile 2008-03-16 14:10:13 EDT
For 0.6.5-8:

* Source
  Problem solved, was a setting of my online webserver

i'm working on other points
Comment 51 Armando Basile 2008-03-16 17:03:52 EDT
* Source
  solved, now work fine

* Disttag
  i should read guidelines before use it. I would read it after solve
  all other problems

* License tag
  changed in GPLv2+

* ExcludeArch
  added in spec file follow row
  ExcludeArch: ppc64

* %configure
  removed --prefix=%{_usr}

* optflags
  I would solve it after solve all other problems

* --delete-original
  i wouldn't delete the file .desktop in tarball because
  could be use for another installation. I already delete
  the file generated in bin/release from makefile

* empty %post, %postun
  I would solve it after solve all other problems

* Directory ownership issue
  solved, now:
  $ rpm -qf /usr/lib/themonospot/
  themonospot-0.6.5-8
  $ rpm -qf /usr/lib/languages/
  themonospot-0.6.5-8

New Files:
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5-8.i386.rpm
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5-8.src.rpm
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.tar.gz
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot.spec.tar.gz

Comment 52 Mamoru TASAKA 2008-03-19 10:18:01 EDT
Well,
* Your latest srpm does not builds on x86_64.
  http://koji.fedoraproject.org/koji/taskinfo?taskID=522200

* Please change the release number every time you change your spec file
  or srpm to avoid confusion

* And again:
--------------------------------------------------------------------
131143 2008-01-18 18:06 themonospot-0.6.5-7/themonospot-0.6.5.tar.gz
131572 2008-03-17 05:34 themonospot-0.6.5-8/themonospot-0.6.5.tar.gz
139900 2008-03-15 02:37 themonospot-0.6.5.tar.gz
--------------------------------------------------------------------
  Please explain why the size of the tarball you are using in your
  srpm changes every time you create a new srpm without version
  number unchanged.
Comment 53 Armando Basile 2008-03-19 10:39:18 EDT
* Your latest srpm does not builds on x86_64
  i'm working on this immediately

* Please change the release number every time you change your spec file
  next release could be 0.6.5a-9 ?

* Please explain why the size of the tarball you are using in your ...
  i rebuild with new monodevelop 1.0 and regenerated tarball. I need also
  modify manually a tarball file (themonospot-gui/makefile.in) to perform
  installation step
Comment 54 Mamoru TASAKA 2008-03-19 10:47:51 EDT
What I cannot understand now is whether the tarball 0.6.5 is 
released formally or not.

- If 0.6.5 is a tarball which is already released as a formal release,
  then you must not change the tarball
- Or if it is something we call "pre-release", then you should
  follow the subsection "Pre-Release packages" of
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines
  i.e.
  0.6.5-0.1 -> 0.6.5-0.2 -> ..... (0.6.5 formal release?) -> 0.6.5-1
  -> 0.6.5-2 -> (0.6.6 pre?) -> 0.6.6-0.1 -> 0.6.6-0.2 -> .....

  Anyway please change the release number every time you modify your
  srpm.
  
Comment 55 Armando Basile 2008-03-19 11:02:36 EDT
0.6.5 is a formal release, so i would like to use 0.6.5-9
Comment 56 Mamoru TASAKA 2008-03-19 11:17:12 EDT
Then you must not change 0.6.5 tarball anymore. Instead you should
change the version of the tarball as 0.6.5.1, 0.6.5.2, ...... and
the srpm should be numbered as 0.6.5.1-1 -> 0.6.5.2-1 -> 0.6.5.3-1 -> ....

When we use the EVR (Epoch-Version-Release) of rpm as "0.6.5-9", this
means that this srpm are using the formally released 0.6.5 tarball
and the release number "9" is just vendor (Fedora) side specific.
Comment 59 Mamoru TASAKA 2008-03-19 13:24:42 EDT
Assigning.
Comment 60 Mamoru TASAKA 2008-03-19 13:33:33 EDT
I will review this package later, however as this is NEEDSPONSOR
ticket, I write a note:

---------------------------------------------------------------------------
NOTE: Before being sponsored:

I hope this package will be accepted after some few works. 
But before I can accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
Comment 61 Armando Basile 2008-03-20 04:51:54 EDT
This is another my review request:
https://bugzilla.redhat.com/show_bug.cgi?id=438293
Comment 62 Mamoru TASAKA 2008-03-20 11:56:16 EDT
For 0.6.5.2-1:

* License
  - As far as I checked the files in the tarball, there are
    no files which specifies the version of GPL.
    In this case, we regard the license tag as "GPL+" (i.e.
    GPL at any version) Please check the section 9 of GPL
    text.

* Disttag
  - I recommend to use %?dist tag.
    http://fedoraproject.org/wiki/Packaging/DistTag
    Using this will make CVS process on Fedora easier.s

* RPM_OPT_FLAGS
  - As in comment 49, this mono package doesn't call
    gcc or g++ and $RPM_OPT_FLAGS is not needed.

* Empty %post, %postun
  - Please remove these.

* %files entry
  - %defattr(-,root,root,-) is missing.

  - This time:
--------------------------------------------------------
   228  warning: File listed twice: /usr/lib/themonospot/languages
   229  warning: File listed twice: /usr/lib/themonospot/languages/English.lf
   230  warning: File listed twice: /usr/lib/themonospot/languages/English.lf
   231  warning: File listed twice: /usr/lib/themonospot/languages/Italiano.lf
   232  warning: File listed twice: /usr/lib/themonospot/languages/Italiano.lf
   233  warning: File listed twice: /usr/lib/themonospot/themonospot-base.dll
   234  warning: File listed twice: /usr/lib/themonospot/themonospot.exe
--------------------------------------------------------
     ! Note
       When you write
--------------------------------------------------------
%files
%{_libdir}/%{name}/
--------------------------------------------------------
       this contains the directory %_libdir/%name itself and all
       files/directories/etc under %_libdir/%name, while
--------------------------------------------------------
%files
%dir %{_libdir}/%{name}
--------------------------------------------------------
       contains the directory %_libdir/%name only.

* Documents
  - Please add COPYING.GPL to %doc (note that the permission of
    this file should be 0644).
Comment 63 Armando Basile 2008-03-20 19:45:23 EDT
New Files:
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.3-1.fc8.i386.rpm
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.3-1.fc8.src.rpm
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.3.spec.tar.gz
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.3.tar.gz

* License
  added README and COPYING to %doc. In README file is 
  specifies the version of GPL (v2)

* Disttag
  now spec file use Disttag

* RPM_OPT_FLAGS
  delete flag in make command

* Empty %post, %postun
  removed

* %files entry
  added %defattr(-,root,root,-) in files section

* warning: File listed twice....
  removed from files section path of "languages" and "application" folders
  no more warning

rpmlint now say me only:
themonospot.i386: E: no-binary
themonospot.i386: E: only-non-binary-in-usr-lib
themonospot.i386: E: unknown-key GPG#c8fa4777

i have only a problem now:
Directory ownership issue, i don't know how solve.


Comment 64 Mamoru TASAKA 2008-03-21 14:09:58 EDT
Well, today I didn't check this however:
(In reply to comment #63)
> i have only a problem now:
> Directory ownership issue, i don't know how solve.

As said in comment 62,
--------------------------------------------------------
%files
%{_libdir}/%{name}/
--------------------------------------------------------
contains the directory %_libdir/%name itself and all
files/directories/etc under %_libdir/%name (correctly).
Comment 65 Armando Basile 2008-03-21 15:03:25 EDT
so i could use in files section only this row
%{_libdir}/%{name}/
to add all files/folders under %{_libdir}/%{name}
and remove this rows
%{_libdir}/%{name}/%{name}.exe
%{_libdir}/%{name}/%{name}-base.dll
%{_libdir}/%{name}/languages/English.lf
%{_libdir}/%{name}/languages/Italiano.lf

Comment 67 Mamoru TASAKA 2008-03-24 09:33:21 EDT
Okay, a few more things.

For 0.6.5.4-1:
* %{name}, %{release} tag on Source
  - I suggest to use
-----------------------------------------------------
Source:
http://www.integrazioneweb.com/themonospot/packages/fedora/%{name}-%{version}.tar.gz
-----------------------------------------------------
    With this you don't have to modify SourceURL when the version
    is upgraded.

* License
  - README reads that this is released under GPLv2 only so
    the License tag must be "GPLv2", not "GPLv2+".

* Parallel make
  - Support parallel make if possible, otherwide write a comment
    in the spec file that Makefile in this package does not support it.
    Check the section "Parallel make" of
    http://fedoraproject.org/wiki/Packaging/Guidelines

* Documents
  - Please add README to %doc.

* %{?dist} tag in changelong
  - must be removed as this causes to change the %changelog entry
    when %dist actually changes (especially on rawhide).
    Simply
-------------------------------------------------------
* Fri Jan 04 2008 hman <hmandevteam@gmail.com> 0.6.5.4-1
- ....
-------------------------------------------------------
    is enough.

* Empty debuginfo file
  - rpmlint shows
--------------------------------------------------------
themonospot-debuginfo.i386: E: empty-debuginfo-package
--------------------------------------------------------
    This is very common for mono packages. To prevent debuginfo
    rpm from being created, please follow the section
    "Useless or incomplete debuginfo packages due to other reasons" of
    http://fedoraproject.org/wiki/Packaging/Debuginfo
Comment 68 Armando Basile 2008-03-24 10:57:53 EDT
new files:
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.tar.gz
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.5.spec.tar.gz
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.5-1.fc8.src.rpm
http://www.integrazioneweb.com/themonospot/packages/fedora/themonospot-0.6.5.5-1.fc8.i386.rpm

* %{name}, %{release} tag on Source
  used themonospot-0.6.5.tar.gz as sources

* License
  modified licence tag as GPLv2

* Parallel make
  modified make section as: make %{?_smp_mflags}

* Documents
  is already present in spec file in %files section
  %doc README

* %{?dist} tag in changelong
  deleted %{?dist} from changelog

* Empty debuginfo file
  added to spec file
  %define debug_package %{nil}
Comment 69 Mamoru TASAKA 2008-03-24 11:01:47 EDT
So again you must not use 0.6.5 tarball any more  :)
Comment 70 Armando Basile 2008-03-24 11:05:22 EDT
in tar.gz there is themonospot-0.6.5.5 folder
Comment 71 Armando Basile 2008-03-24 11:14:16 EDT
now i understand, wait 3 min.
Comment 73 Mamoru TASAKA 2008-03-24 12:35:10 EDT
Well,

- This package itself is now okay
- It seems your another review request can be approved with a little more
  fix

---------------------------------------------------------------------------------
              This package (themonospot) is APPROVED by me
---------------------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account". It seems that the procedure of
CLA signing seems a bit changed.
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 7/8, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 74 Armando Basile 2008-03-24 13:14:18 EDT
I follow new Fedora CLA procedure, my FAS (Fedora Account System) name is hman

Now i need a sponsor for my project :-)
Comment 75 Armando Basile 2008-03-24 13:47:03 EDT
i modified also my other review request MONOSIM 
https://bugzilla.redhat.com/show_bug.cgi?id=438293

and i trying to use koji.fedoraproject.org, but when i try to login i receive an
error.
Comment 76 Mamoru TASAKA 2008-03-24 14:18:37 EDT
Well, I cannot see that you have applied for cvsextras membership.
Would you revisit FAS2 page and apply for cvsextras membership?
(Perhaps you have to select "Apply For a new Group")
Comment 77 Armando Basile 2008-03-24 14:34:28 EDT
i apply now for cvsextras :)
Comment 78 Mamoru TASAKA 2008-03-24 15:07:08 EDT
Now I should be sponsoring you. Please follow "Join" wiki again.
Comment 79 Armando Basile 2008-03-24 15:30:58 EDT
i tying to set fedora‑cvs flag on post, but i have permissions.
I tryed to cvs co themonospot but:
Warning: Permanently added 'cvs.fedoraproject.org,209.132.176.51' (RSA) to the
list of known hosts.
Permission denied (publickey,keyboard-interactive).
cvs [checkout aborted]: end of file from server (consult above messages if any)

Comment 80 Armando Basile 2008-03-24 16:35:50 EDT
cvs and ssh is now ok

New Package CVS Request
=======================
Package Name: themonospot
Short Description: An Avi parser and content descriptor
Owners: hman
Branches: F-7 F-8
InitialCC: mtasaka@ioa.s.u-tokyo.ac.jp
Cvsextras Commits: yes
Comment 81 Armando Basile 2008-03-24 17:36:22 EDT
New Package CVS Request
=======================
Package Name: themonospot
Short Description: An Avi parser and content descriptor
Owners: hman
Branches: F-7 F-8
InitialCC: mtasaka@ioa.s.u-tokyo.ac.jp
Cvsextras Commits: yes
Comment 82 Kevin Fenzi 2008-03-24 20:00:33 EDT
cvs done.
Comment 83 Fedora Update System 2008-03-29 14:37:06 EDT
themonospot-0.6.5.6-1.fc7 has been submitted as an update for Fedora 7
Comment 84 Fedora Update System 2008-03-29 14:38:01 EDT
themonospot-0.6.5.6-1.fc8 has been submitted as an update for Fedora 8
Comment 85 Fedora Update System 2008-04-01 17:33:53 EDT
themonospot-0.6.5.6-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 86 Fedora Update System 2008-04-01 17:34:46 EDT
themonospot-0.6.5.6-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 87 Fedora Update System 2008-08-27 18:13:11 EDT
themonospot-0.7.1.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/themonospot-0.7.1.1-1.fc9
Comment 88 Fedora Update System 2008-08-27 18:13:23 EDT
themonospot-0.7.1.1-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/themonospot-0.7.1.1-1.fc8
Comment 89 Fedora Update System 2008-09-05 08:17:52 EDT
themonospot-0.7.1.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 90 Fedora Update System 2008-09-10 02:53:28 EDT
themonospot-0.7.1.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 91 Fedora Update System 2008-09-10 02:57:45 EDT
themonospot-0.7.1.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.